unit UnitIni;

interface

uses
   Windows,SysUtils;

   function AllocPChar(S:String): pChar;
   function ReadIniFile(S,E:string;var V:string;I:string;SZ:integer): Boolean ;
   function WriteIniFile(S,E,V,I:string): Boolean ;

implementation

{ pChar^̗̈m }
function AllocPChar(S:String): pChar;
var
   PS:pChar ;
begin
   PS := StrAlloc(Length(S) + 1);
   AllocPChar := StrPCopy(PS,S);
end;

{ Ini File ǂ }
function ReadIniFile(S,E:string;var V:string;I:string;SZ:integer): Boolean ;
var
   pS,pE,pD,pI,pRet:pChar ;
begin
   pS := AllocPChar(S);
   pE := AllocPChar(E);
   pD := '';
   pI := AllocPChar(I);
   pRet := StrAlloc(SZ);

   ReadIniFile := GetPrivateProfileString(pS,pE,pD,pRet,SZ,pI) > 0 ;
   V := StrPas(pRet);

   StrDispose(pS);
   StrDispose(pE);
   StrDispose(pI);
   StrDispose(pRet);
end;

{ Ini File ɏ }
function WriteIniFile(S,E,V,I:string): Boolean ;
var
   pS,pE,pV,pI:pChar ;
begin
   pS := AllocPChar(S);
   pE := AllocPChar(E);
   pV := AllocPChar(V);
   pI := AllocPChar(I);

   WriteIniFile := WritePrivateProfileString(pS,pE,pV,pI) ;

   StrDispose(pS);
   StrDispose(pE);
   StrDispose(pV);
   StrDispose(pI);
end;

end.
